Subject: Linux-Activists - DOC Channel digest. 93-6-25-17:55
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Mon, 26 Jul 1993 02:08:39 +0300

Topics:
	 mf has a problem
	 More questions on mf

----------------------------------------------------------------------

From: [email-masked] (Jim Lynch)
Subject: mf has a problem
Date: Sun, 25 Jul 1993 20:44:00 +0300

I have install all of the SLS t[123] files manually.  I picked up
a copy of the mfnox stuff from sunsite.   When I run the
dvi2lj program it invokes a script to generate some font files, I 
think.  Anyway, here is the error message I am getting.

calling: MakeTeXPK cmr6 250 300 0.8333 localfont
set: trackall: unknown option name
set: trackall: unknown option name
mf "\mode:=localfont; mag:=0.8333; scrollmode; input cmr6" < /dev/null
This is METAFONT, C Version 2.71
I can't find the default base file!
Metafont failed for some reason on cmr6.250gf
warning : font not found: </usr/TeX/lib/tex/fonts>/<dpi250;pxl1250>/cmr6.<pk;pxl>

Now there is a directory /usr/TeX/lib/mf/bases (and /usr/TeX/lib/macros).
They both seem to have hundreds of files each.  The paths all look ok,
search and read permission for all.  I am running this under root 
just to be sure that I don't have a path permission problem.  I am
trying to generate the sample2.lj file.  I have run latex on sample2.tex and
it producted a .dvi file.  I was able to successfully print story and testpage
so I know some things are working, but mf and friends aren't.
I did set MFINPUTS to /usr/TeX/lib/mf/macros//, but that didn't
do anything.  By the way, the above message is just a sample of the dozen or
more that come out.  Prior to getting mfnox.T.Z I aborted with
mv not finding libXt.so.3.  Since I don't have X, I understand that 
error.  I purused the man page for mf, but didn't get any hints.  
Pointers to other docs would be helpful.  

Thanks,
Jim.

------------------------------

From: [email-masked] (Jim Lynch)
Subject: More questions on mf
Date: Sun, 25 Jul 1993 21:05:23 +0300

Well I decided to set all of the environment variables that are 
mentioned in the man page for mf.  When I did, the error changed
to:
calling: MakeTeXPK cmr6 250 300 0.8333 localfont
set: trackall: unknown option name
set: trackall: unknown option name
mf "\mode:=localfont; mag:=0.8333; scrollmode; input cmr6" < /dev/null
This is METAFONT, C Version 2.71
(Fatal base file error; I'm stymied)
Metafont failed for some reason on cmr6.250gf
warning : font not found: </usr/TeX/lib/tex/fonts>/<dpi250;pxl1250>/cmr6.<pk;pxl>

Apparently when mf and friends was compiled, the site.h file didn't point
to what the man page said was the default.  But that still hasn't fixed the
problem.  Any suggestions?

Thanks again,
Jim.

------------------------------

End of DOC Digest
*****************
-------